/*!
 * Macros for accessing pixels in the IPLImage format
 * 
 * Copyright (c) 2008 by <Philip Birch/ University of Sussex>
 */
#ifndef _CVPIXEL_HEADER
#define _CVPIXEL_HEADER

#include <cv.h>

//mono
#define PIX8S(img,x,y) ((char*)(img->imageData+img->widthStep*y))[x]
#define PIX8U(img,x,y) ((uchar*)(img->imageData+img->widthStep*y))[x]
#define PIX32F(img,x,y) ((float*)((img->imageData+img->widthStep*y))[x])
//colour
#define RPIX8U(img,x,y) ((uchar*)(img->imageData + img->widthStep*y))[x*3+2]
#define GPIX8U(img,x,y) ((uchar*)(img->imageData + img->widthStep*y))[x*3+1]
#define BPIX8U(img,x,y) ((uchar*)(img->imageData + img->widthStep*y))[x*3]



#endif